Introduction

Able Batch Converter does exactly what its title suggests, allowing you to easily convert multiple graphics files at the click of a button.

More than that, you can also edit images directly in Able Batch Converter, to produce a variety of effects (rotate, flip, resize, mirror, auto crop, filters, noise remove, deskewing, watermarks, margins, color enhancements etc).

Able Batch Converter can take any number of images in any format (over 90 file formats supported) and convert them within seconds to any of the twenty most popular formats.


Command Line

It is possible to perform Able Batch Converter commands from the command line.

Command line string:
ablebatchconverter.exe /inputfile=inputfilename /options /outputfile=outputfilename

Where are:

1) inputfilename - full path to input file(s) (e.g e:\temp\test.pdf or e:\temp\*.pdf)

2) outputfilename - full path to output file(s) (e.g. c:\temp\test1.jpg or c:\temp\*.jpg)

3) Available options:

Actions:
/actlist,
/resize, /dpi, /color, /changecolor, /deskewing, /autocrop, /autocrop2

Output format settings:
/tiff, /jpeg, /gif

Service settings:
/foldertree, /pages, /overwrite, /hide

Example:
ablebatchconverter.exe /inputfile="e:\temp\test.pdf" /outputfile="c:\temp\test1.jpg"
Convert file: 'e:\temp\test.pdf' to 'c:\temp\test1.jpg'

Actions list loading: /actlist="YourActionsList"

Examples: /actlist="E:\TEMP\actlist1.actl"

You can create "YourActionsList" in the program.

Start the program
Actions tab
Add | action1
...
Add | last action
Press "Save List" button and type filename

Resize command: /resize=(w;h;u;ir;rc;wc;hc;sc)

w - new width
h - new height
to maintain the image aspect ratio set only one size, assigning -1 to the other
/resize=(800;-1;0;1;0;0;0;0)
u - units:
0 - Pixel
1 - Inch
2 - Mm
3 - Percent

ir - image ratio (0 or 1) (0 - false, 1 - true)

rc - resize condition (0...4)
0 - All images
1 - If image Larger than
2 - If image Smaller than
3 - If image in Landscape mode
4 - If image in Portrait mode
5 - If File size Larger than
6 - If File size Smaller than
wc - width condition (for resize condition = 1 or 2, otherwise wc = 0)
hc - height condition (for resize condition = 1 or 2, otherwise hc = 0)
sc - size condition, kB (for resize condition = 5 or 6, otherwise sc = 0)

Examples: /resize=(800;600;0;1;0;0;0;0)
/resize=(800;600;0;1;2;500;300;0)

DPI settings: /dpi=(dpiXY)

dpiXY : specifies the horizontal and vertical resolution (dots per inch)

Example: /dpi=(200)

Color Depth settings: /color=(ColorDepth)

ColorDepth : specifies the color depth
1 : 24bit
2 : 8bit
3 : Gray
4 : Black-White (Ordered method)
5 : Black-White (Floyd Steinberg method)

Example: /color=(1)
Converting to 24 bit

/changecolor=(OldColor;NewColor)
Use this method to force color OldColor to be equal to NewColor.

OldColor - RGB format (0-0-0 ... 255-255-255)
NewColor - RGB format (0-0-0 ... 255-255-255)

Example: /changecolor=(255-255-255;255-0-128)
This parameter change white color to red.

Deskewing estimates the orientation angle (in degrees) of the lines of text and rotates the current image.
Apply this action only to images that contains printed text.

/deskewing=(ar;pr;ed;cr)

ar - Angle Range specifies the working range in degrees. Low values enhance performance and accuracy.
For example specifying 30 Deskewing will scan the image searching for pixels inside a range of -15 to 15 degrees.
Angle Range can be from 1 to 180.

pr - Precision specifies the angle precision in degrees. It must be >0 and <=1 with only one decimal digit. Typical value is 0.1.

ed - Edge Detect specifies if to apply and edge detect algorithm before detect the orientation. (0 - false, 1 - true)

cr - Crop after deskewing (0 - false, 1 - true)

Examples: /deskewing=(30;0.1;1;0)

Auto Crop removes the border with color like Background Color from the image borders.
The Tolerance specifies how much background color must be equal to actual pixel.
Auto allows to determine the background color automatically.
Margins parameter allows to add (remove) margins.

/autocrop=(bc;to;au;ma)

bc - background color (0 - black, 16777215 - white)
to - tolerance;
au - auto-color;
ma - margins;

Examples: /autocrop=(0;10;1;20)

Auto Crop 2 automatically removes the border using a density analysis algorithm.
Border Rate is the difference between border and text.
This method works only when paper is white and text is black.
Margins parameter allows to add (remove) margins.

/autocrop2=(br;ma)

br - border rate;
ma - margins;

Examples: /autocrop2=(6;0)

/foldertree
This parameter allows to save the output images using the same folder tree structure as the source (original) images.

/pages=(n;n;...n)
This parameter allows to work with requested pages in multipage document.

n : page number

Example: /pages=(1;3;5)

/overwrite
This parameter allows to force an overwrite of the output file if it exists.

/hide
Use this parameter if not want to display the application in the task bar

TIF (TIFF) format settings: /tiff=(c;p)

c : compression (0..8)
0 : UNCOMPRESSED
1 : CCITT1D
2 : G3FAX1D
3 : G3FAX2D
4 : G4FAX
5 : LZW
6 : JPEG
7 : PACKBITS
8 : ZIP

p : photometric (0..7)
0 : WHITEISZERO
1 : BLACKISZERO
2 : RGB
3 : RGBPALETTE
4 : TRANSPMASK
5 : CMYK
6 : YCBCR
7 : CIELAB

Example: /tiff=(6;2)

JPEG (JPG) format settings: /jpeg=(c;d;o;p;q;s)

c : color space (0..4)
0 : JPEG_RGB - separate RGB channels
1 : JPEG_GRAYLEV - unique intensity channel (gray levels)
2 : JPEG_YCbCr - three channels (CCIR Recommendation 601-1)
3 : JPEG_CMYK - four channels (Cyan Magenta Yellow Black) - linear convertion
4 : JPEG_YCbCrK - four channels (YCbCr and Black)

d : DCT method (0..2)
0 : ISLOW - slow but accurate integer algorithm
1 : IFAST - faster, less accurate integer method
2 : FLOAT - floating-point method (machine dependent)

o : optimal huffman (0..1)
0 : do not use
1 : use it

p : progressive (0..1)
0 : do not use
1 : use it

q : image quality (0..100)
High values produce better image quality but require more disk space.

s : smoothing factor (0..100)
If value is not zero, the jpeg compressor smooth the image before compress it.

Example: /jpeg=(1;2;1;0;80;10)

GIF format settings: /gif=(f;c;i;v)

f : flag - transparency (0..1)
1 : transparency
0 : not transparency

c : transparency color - RGB format (0-0-0 ... 255-255-255)
white : 255-255-255
black : 0-0-0

i : interlaced (0..1)
1 : interlaced
0 : non-interlaced

v : version (0..1)
0 : gif87a
1 : gif89a

Example: /gif=(1;255-255-255;1;0)


Using the Able Batch Converter

1. Add files to the files list.

Click the "Add Files" button to add the files that will be converted.
Click the "Add Folders" button to select every image in the directory.
"Remove" and "Clear all" take chosen files back out.

Click the "Import" button to load the "List of files" from the text file.
Click the "Export" button to save the "List of files" to the text file.

2. Add actions to the Actions list (if requested)

Select the "Actions list" tab to apply many special operations to the images during conversion (Resize, Rotate, Remove Noise, Auto Crop etc).

Press the "Add ..." button to add reqiested action.

More info about actions.

3. Select the destination folder.

Save to folder.
Select the output directory. Click the "Browse..." button to find it. When you have selected a directory with Browse, click the OK button.

4. Select new file type or Print.

Save as type or Print.
Select the Output Format. The "Advanced" button lets you choose various operations to perform.

5. Start

Click the "Start" button to begin. A box shows the progress of the conversion. If you need to halt, click the "Stop" button.

When you are finished converting files, click "Cancel" to exit. Another way of exiting is to click the X in the upper right corner.


Advanced

TIFF

Compression. Specifies the compression type for TIFF image format.
Image index is the index (from 0) of the image.
Photometric. Photometric interpretation.
Colors. Specifies the desired color space.
Scanned document info.
Name. Specifies the document name field of a TIFF image format.
Description. Specifiy the image description field of a TIFF image format.
Page name. Page name field in a TIFF image format.
Page number. Page number field in a TIFF image format.
Horiz. Position. X top-left position of the original scanned image.
Vert. Position. Y top-left position of the original scanned image.

JPEG

Quality. Quality factor, from 1 to 100. The higher the value, the better the image quality and the larger resultant memory needed.
DCT method. Specify the DCT method.
Photometric. Photometric interpretation.
Smoothing factor. Smoothing factor (0 is none, 100 is max). If JPEG_Smooth is not zero, the jpeg compressor smooth the image before compress it. This improves compression.
Optimal Huffman. If checked, specifies the Jpeg compressor to use an optimal Huffman table (more compression). If unchecked, a standard table is used.
Progressive. Specifies if this is a progressive jpeg.

PRINT

From here the user can select the options they wish to use to print the current file.
Following that is a series of check boxes providing several printing options.

They are:
Normal - print the image without any scaling factors
Fit to page - Scales the image to fit the page
Stretch to Page - Stretches the image to fill the page
Specified Size : specify absolute sizes with the Width and Height parameters
Specified Scale : specify the Scale of sizes

Print all pages - Check this box to Print all of the pages in the file

Fast Print - fast but with low quality.

Automatic orientation - can detect optimal orientation.


Actions

RemoveNoise removes noise pixels using the Kfill algorithm. The Remove Noise method works only with black/white images (1bit).

Remove Isolated Pixels removes all groups of Pixel Count isolated pixels.
The Remove Isolated Pixels method works only with black/white images (1bit).

Noise Color specifies the "text" color, 0 is black and 1 is white (for example if you have a document where the text is black Noise Color must be 0, otherwise it must be 1).

Pixel Thickening action sets each pixel in the output image to the maximum value of all the current image pixel values.
This filter is typically applied to an image to remove negative outlier noise.

Pixel Thinning action sets each pixel in the output image as the minimum value of all the current image pixel values.
This filter is typically applied to an image to remove positive outlier noise.

Resize. This action resizes the current image. The content of the image changes (stretched to new size).
New Width, and New Height are values, in pixels, of the new size.
You can use the Condition tab to set requested condition (if larger than, if smaller than, if landscape mode, if portrait mode).

Use Width and Height
Resizes the image within the specified width and height. The width and height are resized as close to the specified value as possible while maintaining the aspect ratio.

Use Width only
Resizes the width to the specified value and resizes the height to whatever value is necessary to maintain the aspect ratio.

Use Height only
Resizes the height to the specified value and resizes the width to whatever value is necessary to maintain the aspect ratio.

Canvas size

This method resizes the current image to Width and Height. The content of the image doesn't change (no stretch).
Position specifies the horizontal and vertical alignment of the old image.

Rotate/Flip.
The Rotate action rotates the current image.
This Flip action flips (mirrors) the current image across the horizontal or vertical axis.

ChangeResolution changes the DPI of the image, resamping it and setting new DPI values.

Deskewing estimates the orientation angle (in degrees) of the lines of text and rotates the current image.
Apply this action only to images that contains printed text.

Angle Range specifies the working range in degrees. Low values enhance performance and accuracy. For example specifying 30 Deskewing will scan the image searching for pixels inside a range of -15 to 15 degrees. Angle Range can be from 1 to 180.
Precision specifies the angle precision in degrees. It must be >0 and <=1 with only one decimal digit. Typical value is 0.1.
Edge Detect specifies if to apply and edge detect algorithm before detect the orientation.

Deskewing Fine estimates the orientation angle (in degrees) of the lines of text and rotates the current image.
Apply this method only to images that contains printed text. Deskewing Fine use progressive rotations to find the best orientation.

Starting Angle specifies the starting angle, if you know it (0 otherwise)
Resolution is the angle increment (0.1 is good)
Range specifies the angle range (example 10, try from -5 to +5)
Max Quality : if not selected, create a thumbnail of the image and works on it.

Add/Remove margins allows to add or remove margins to image.

Add Soft Shadow
Add Soft Shadow adds a soft shadow (Gaussian Shadow) to the image.

Radius specifies the shadow wide.
OffsetX and OffsetY specify the shadow offset from the image.
If Adapt Size is selected, the image is resized to contain the shadow.
Shadow Color is the shadow color.
Intensity is the shadow intensity, with values in the range 0 and 100 (maximum).

Negative action inverts all colors of the current image.

Color Depth Change

Convert to 24Bit converts a black&white (1bit) image to true color (24bit).

Convert to Gray action converts image to gray levels.
Convert to Gray just set R,G,B channels to the same value.

Convert to BW Ordered converts a true color image (24 bit) to black & white (1 bit) with a dithering ordered method.

Convert to BW FloydSteinberg converts current image to black/white using Floyd-Steinberg algorithm.

Convert to BW Threshold converts a true color image (24 bit) to black & white (1 bit) using a thresholding algorithm.
The image is first converted to gray levels, then all levels that are less of Threshold will be set to black, otherwise will be set to white.

Threshold is an intensity value (0..255).
If Threshold is -1, the threshold value actualy used will be the average of all levels of the original image.
If Threshold is -2, a Maximum Entropy Algorithm is used.

Color Adjust

Contrast 2
This is another contrast adjustment function. Amount assumes floating point values from 0 to 1.

Contrast 3
Applies contrast to the image by lightening or darkening pixels depending on whether they are above or below a threshold.

The Midpoint value determines that threshold, the point at which the Change value influences the pixel value lighter or darker.

When Change values are positive, increasing the Midpoint value darkens the contrast.
When Change values are negative, increasing the Midpoint value lightens the contrast.

Midpoint - an integer between -100 and +100 that determines the threshold of light and dark.
Change - an integer between -255 and 255 that indicates the level of contrast to be applied each side of the midpoint.

Red, Green and Blue channels - If selected, applies the change to this RGB channel.

Effects

User Filter action applies a 3x3 filter to the current image.
Bump Map action applies the bump mapping effect to the current image.
Wave applies a wave effect to the current image.

Swap Color Channel

This action changes the channels order from RGB (default) to the specified one.
New value is a string of three characters, one for each channel ('BGR', 'RBG', etc).
You can also replicate the same channel: 'RRR' or 'GGG', etc.

Change Color
Use this method to force color OldColor to be equal to NewColor.

Crop gets as current image the specified rectangle, cutting off the remaining image.

Auto Crop removes the border with color like Background Color from the image borders.
The Tolerance specifies how much background color must be equal to actual pixel.
Auto allows to determine the background color automatically.

Auto Crop 2 automatically removes the border using a density analysis algorithm.
Border Rate is the difference between border and text.
This method works only when paper is white and text is black.

Watermark

Automatic Image Enhancement

Adjust Image Luminosity
Adjust image luminosity calculating the min and max pixels values and stretching colors to the maximum allowed value.

Auto Image Enhance 1
Auto Image Enhance 1 performs complex operations on the image to simulate how humans see the world to make the image to have better contrast and colors.

Parameters:
SumsamplesSize: to make it fast operations are performed on a subsampled image. This parameter specifies the image width.
Slope: slope specifies the core function slope and it is measured in degrees. This value contribute to change contrast. Allowed values 0..90°.
Cut: cut specifies the code function range. This value contribute to change contrast. Allowed values are 0..100.
Neightbour: when the subsampled image is used to change the full size image, Neighbour specifies the window size of the conversion.
High values slow down process but produce better results.

The default parameters was good for our set of test images.

Auto Image Enhance 2
Auto Image Enhance 2 performs complex operations on the image to simulate how humans see the world to make the image to have better contrast and colors.

Auto Image Enhance 3
Enhance luminosity applying a local adaptation tone mapping algorithm.

Auto Sharp
AutoSharp enhances image sharpness, increasing the sharping of detected objects contours.

Hist Auto Equalize
This method equalizes the colors histogram of the selected image.

White Balance - Auto White
Adjust image colors adjusting the white range (try to find the white automatically).

White Balance - Gray World
Adjust image colors applying the white balance algorithm named Gray World.

TIFF File - Tag edit


How to Buy

Program can be ordered over the Internet. Once you have purchased the product by completing the online order form, a full version of the product will be sent to you via email.

You can buy "Able Batch Converter" for
· $32 - personal license - for private use
· $64 - business license - for commercial use

As a registered customer, you are entitled to:

- Fully functional, unrestricted copy of the Able Batch Converter.
- Free Updates for one year
- Free technical support via email.

Online Order:
You can order the fully functional version of Able Batch Converter over the Internet using any major credit card. The ordering page is located on a secure server, ensuring that your personal information remains confidential. As soon as your order is processed, we'll provide you with the full version of the product.

More info:
http://www.graphicregion.com/purchase.htm


Technical Support

For Technical support contact us via E-mail:
support@graphicregion.com

E-mail is the most expedient method of communication and provides a more reliable answer to your issues, because it reduces miscommunication and provides a log of the questions and answers for future reference.

Please, include the version number of the product you are using and the platform on which it is installed.
For immediate answers to questions, please visit our knowledge base at:
http://www.graphicregion.com/support.htm